%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-publicsuffix2
Version:       2.20191221
Release:       2mamba
Summary:       Get a public suffix for a domain name using the Public Suffix List. Forked from and using the same API as the publicsuffix package
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nexb/python-publicsuffix2
Source:        https://pypi.debian.net/publicsuffix2/publicsuffix2-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n publicsuffix2-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.20191221-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Apr 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20191221-1mamba
- package created using the webbuild interface
